# $Revision: 1.2 $, $Date: 2002/09/03 09:12:41 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	GraphViz
%define		pnam	Data-Structure
Summary:	GraphViz::Data::Structure module - visualise data structures
Summary(pl):	Modu GraphViz::Data::Structure - wizualizacja struktur danych
Name:		perl-GraphViz-Data-Structure
Version:	0.07
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-GraphViz >= 1.3
BuildRequires:	rpm-perlprov >= 3.0.3-16
Requires:	perl-GraphViz >= 1.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module makes it easy to visualise data structures, even recursive
or circular ones. It is provided as an alternative to
GraphViz::Data::Grapher.

%description -l pl
Ten modu uatwia wizualizacj struktur danych, nawet zagniedonych i
cyklicznych. Jest udostpniony jako alternatywa dla moduu
GraphViz::Data::Grapher.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

# disabled - two tests failed for me...
#%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS Changes README
%{perl_sitelib}/GraphViz/Data/Structure.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-GraphViz-Data-Structure.spec,v $
Revision 1.2  2002/09/03 09:12:41  qboosh
- removed GraphViz/Data dir (belongs to perl-GraphViz); release 2

Revision 1.1  2002/08/16 18:56:12  qboosh
- new
